import Vue from 'vue'
import VueRouter from 'vue-router'
import store from '@/store'
import HomeView from '../views/Manager.vue'

Vue.use(VueRouter)

const routes = [
  {
    path: '/',
    component: () => import( '../views/Manager.vue'),
    redirect: "/home",
    children:[
      {
        path: 'home',
        name: '首页',
        component: () => import( '../views/Home.vue'),
      },
      {
        path: 'user',
        name: '用户管理',
        component: () => import( '../views/User.vue'),
      },
      {
        path: 'merchant',
        name: '商户管理',
        component: () => import( '../views/Merchant.vue'),
      },
      {
        path: 'person',
        name: '个人中心',
        component: () => import('../views/Person.vue')
      },
      {
        path: 'introduce',
        name: '综合介绍管理',
        component: () => import( '../views/Introduce.vue'),
      },
    ]
  },
  {
    path: '/about',
    name: 'about',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: () => import(/* webpackChunkName: "about" */ '../views/AboutView.vue')
  },
  {
    path: '/login',
    name: 'Login',
    component: () => import('../views/Login.vue')
  },
  // {
  //   path: '/person',
  //   name: 'Person',
  //   component: () => import('../views/Person.vue')
  // },
]

const router = new VueRouter({
  mode: 'history',
  base: process.env.BASE_URL,
  routes
})

//路由守卫
router.beforeEach((to, from, next) =>{
  localStorage.setItem("currentPathName",to.name)   //设置当前的路由名称，为了在Header组件中去使用
  store.commit("setPath")  //触发store的数据更新
  next()  //放行路由
})

export default router
